/* ADSP-21161 System Register bit definitions */
#include 	"def21161.h"

.global Program_dag_init;
.global rx1a_buf;
.global tx3a_buf;
.global tx3b_buf;

.section /dm dm_data;
.var rx1a_buf[1024];
.var tx3a_buf[1024];
.var tx3b_buf[1024];

.section /pm pm_code;

/********************************************************************************
*																				*
* 		    Definition of the receive and transmit buffer	                    *
*																				*
*********************************************************************************/

Program_dag_init:

b0=rx1a_buf;				// address of the receive buffer
l0=length(rx1a_buf);		// length of the receive buffer 
m0=1;						// modifier 

b1=tx3a_buf;				// address of the transmit buffer a
l1=length(tx3a_buf);		
m1=1;

b2=tx3b_buf;				// address of the transmit buffer b
l2=length(tx3b_buf);
m2=1;


rts;
